//
//  AdvisoryHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/9/14.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "AdvisoryHttpCmd.h"
#import "AdvisoryHttpResult.h"
static NSString *kActionUrl1 = @"/enterprise/activity/queryReleasedAll";

@implementation AdvisoryHttpCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[AdvisoryHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[AdvisoryHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpAdvisoryHttpCmd_orderby = @"orderby";
NSString *const kHttpAdvisoryHttpCmd_pageNum = @"pageNum";
NSString *const kHttpAdvisoryHttpCmd_pageSize = @"pageSize";
NSString *const kHttpAdvisoryHttpCmd_sort = @"sort";
NSString *const kHttpAdvisoryHttpCmd_filters = @"filters";
NSString *const kHttpAdvisoryHttpCmd_value = @"value";
NSString *const kHttpAdvisoryHttpCmd_attr = @"attr";
NSString *const kHttpAdvisoryHttpCmd_empid = @"empid";

